"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
class Search extends command_1.Command {
    async run() {
        const { flags } = this.parse(Search);
        const name = flags.name || 'world';
        this.log(`searching for ${name}...`);
    }
}
Search.description = 'describe the command here';
Search.examples = [
    `$ oclif-example hello
searching for <user_name>...
`,
];
Search.flags = {
    help: command_1.flags.help({ char: 'h' }),
    // flag with a value (-n, --name=VALUE)
    name: command_1.flags.string({ char: 'n', description: 'name to print' }),
};
exports.default = Search;
